Subject: bug#36264: closed (Re: bug#36264: shepherd doesn't capture service stdout/stderr)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Sep 2024 07:20:02 +0000

Your bug report

#36264: shepherd doesn't capture service stdout/stderr

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36264: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36264
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36264: shepherd doesn't capture service stdout/stderr
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Date: Fri, 06 Sep 2024 09:18:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Robert Vollmert <[email-masked]> skribis:

> On a pretty fresh Guix System install, I see some regular
> sshd error messages on tty1 (which I guess means they’re
> written to /dev/console). Also, setting up a regular
> shepherd service via make-forkexec-constructor for a
> program that logs to stderr (postgrest which I’m in the
> process of packaging), all output goes to tty1.
>
> Compare the discussion at
>
> https://lists.gnu.org/archive/html/guix-devel/2019-06/msg00186.html

Fortunately that was fixed in Shepherd 0.9.0 (April 2022).

Ludo’.

Subject: shepherd doesn't capture service stdout/stderr
From: Robert Vollmert <[email-masked]>
To: [email-masked]
Date: Mon, 17 Jun 2019 18:41:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On a pretty fresh Guix System install, I see some regular
sshd error messages on tty1 (which I guess means they’re
written to /dev/console). Also, setting up a regular
shepherd service via make-forkexec-constructor for a
program that logs to stderr (postgrest which I’m in the
process of packaging), all output goes to tty1.

Compare the discussion at

https://lists.gnu.org/archive/html/guix-devel/2019-06/msg00186.html